/* Account.c generated by valac 0.38.4, the Vala compiler
 * generated from Account.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2015 Pantheon Developers (https://launchpad.net/switchboard-plug-onlineaccounts)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <libaccounts-glib/accounts-glib.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <libgsignon-glib/signon-glib.h>


#define ONLINE_ACCOUNTS_TYPE_ACCOUNT (online_accounts_account_get_type ())
#define ONLINE_ACCOUNTS_ACCOUNT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_ACCOUNT, OnlineAccountsAccount))
#define ONLINE_ACCOUNTS_ACCOUNT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_ACCOUNT, OnlineAccountsAccountClass))
#define ONLINE_ACCOUNTS_IS_ACCOUNT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_ACCOUNT))
#define ONLINE_ACCOUNTS_IS_ACCOUNT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_ACCOUNT))
#define ONLINE_ACCOUNTS_ACCOUNT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_ACCOUNT, OnlineAccountsAccountClass))

typedef struct _OnlineAccountsAccount OnlineAccountsAccount;
typedef struct _OnlineAccountsAccountClass OnlineAccountsAccountClass;
typedef struct _OnlineAccountsAccountPrivate OnlineAccountsAccountPrivate;
enum  {
	ONLINE_ACCOUNTS_ACCOUNT_0_PROPERTY,
	ONLINE_ACCOUNTS_ACCOUNT_NUM_PROPERTIES
};
static GParamSpec* online_accounts_account_properties[ONLINE_ACCOUNTS_ACCOUNT_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __vala_AgProvider_free0(var) ((var == NULL) ? NULL : (var = (_vala_AgProvider_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _OnlineAccountsAccountDeleteAccountData OnlineAccountsAccountDeleteAccountData;
enum  {
	ONLINE_ACCOUNTS_ACCOUNT_REMOVED_SIGNAL,
	ONLINE_ACCOUNTS_ACCOUNT_COMPLETE_SIGNAL,
	ONLINE_ACCOUNTS_ACCOUNT_NUM_SIGNALS
};
static guint online_accounts_account_signals[ONLINE_ACCOUNTS_ACCOUNT_NUM_SIGNALS] = {0};

struct _OnlineAccountsAccount {
	GObject parent_instance;
	OnlineAccountsAccountPrivate * priv;
	AgAccount* account;
	AgProvider* provider;
	gchar* username;
	gchar* password;
	gboolean need_authentification;
	GVariant* session_data;
	GVariant* session_result;
};

struct _OnlineAccountsAccountClass {
	GObjectClass parent_class;
	void (*setup_authentification) (OnlineAccountsAccount* self);
};

struct _OnlineAccountsAccountDeleteAccountData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	GAsyncReadyCallback _callback_;
	gboolean _task_complete_;
	OnlineAccountsAccount* self;
	AgAccount* _tmp0_;
	GVariant* v_id;
	AgAccount* _tmp1_;
	GVariant* _tmp2_;
	GVariant* _tmp3_;
	SignonIdentity* identity;
	guint32 _tmp4_;
	SignonIdentity* _tmp5_;
	AgAccount* _tmp6_;
	AgAccount* _tmp7_;
	GError* e;
	GError* _tmp8_;
	const gchar* _tmp9_;
	GError * _inner_error_;
};


static gpointer online_accounts_account_parent_class = NULL;

GType online_accounts_account_get_type (void) G_GNUC_CONST;
static void _vala_AgProvider_free (AgProvider* self);
#define ONLINE_ACCOUNTS_ACCOUNT_gsignon_id "CredentialsId"
static void online_accounts_account_delete_account_data_free (gpointer _data);
static void online_accounts_account_delete_account_async_ready_wrapper (GObject *source_object, GAsyncResult *res, void *user_data);
void online_accounts_account_delete_account (OnlineAccountsAccount* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
void online_accounts_account_delete_account_finish (OnlineAccountsAccount* self, GAsyncResult* _res_);
static gboolean online_accounts_account_delete_account_co (OnlineAccountsAccountDeleteAccountData* _data_);
static void online_accounts_account_delete_account_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
void online_accounts_account_setup_authentification (OnlineAccountsAccount* self);
static void online_accounts_account_real_setup_authentification (OnlineAccountsAccount* self);
OnlineAccountsAccount* online_accounts_account_new (void);
OnlineAccountsAccount* online_accounts_account_construct (GType object_type);
static void online_accounts_account_finalize (GObject * obj);


static void _vala_AgProvider_free (AgProvider* self) {
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	g_boxed_free (ag_provider_get_type (), self);
#line 127 "Account.c"
}


static void online_accounts_account_delete_account_data_free (gpointer _data) {
	OnlineAccountsAccountDeleteAccountData* _data_;
	_data_ = _data;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_object_unref0 (_data_->self);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	g_slice_free (OnlineAccountsAccountDeleteAccountData, _data_);
#line 138 "Account.c"
}


static void online_accounts_account_delete_account_async_ready_wrapper (GObject *source_object, GAsyncResult *res, void *user_data) {
	OnlineAccountsAccountDeleteAccountData* _task_data_;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_task_data_ = g_task_get_task_data (G_TASK (res));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	if (_task_data_->_callback_ != NULL) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_task_data_->_callback_ (source_object, res, user_data);
#line 150 "Account.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_task_data_->_task_complete_ = TRUE;
#line 154 "Account.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	return self ? g_object_ref (self) : NULL;
#line 161 "Account.c"
}


void online_accounts_account_delete_account (OnlineAccountsAccount* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	OnlineAccountsAccountDeleteAccountData* _data_;
	OnlineAccountsAccount* _tmp0_;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_ = g_slice_new0 (OnlineAccountsAccountDeleteAccountData);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_callback_ = _callback_;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, online_accounts_account_delete_account_async_ready_wrapper, _user_data_);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	if (_callback_ == NULL) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->_task_complete_ = TRUE;
#line 178 "Account.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	g_task_set_task_data (_data_->_async_result, _data_, online_accounts_account_delete_account_data_free);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->self = _tmp0_;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	online_accounts_account_delete_account_co (_data_);
#line 188 "Account.c"
}


void online_accounts_account_delete_account_finish (OnlineAccountsAccount* self, GAsyncResult* _res_) {
	OnlineAccountsAccountDeleteAccountData* _data_;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 196 "Account.c"
}


static gpointer _g_variant_ref0 (gpointer self) {
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	return self ? g_variant_ref (self) : NULL;
#line 203 "Account.c"
}


static void online_accounts_account_delete_account_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	OnlineAccountsAccountDeleteAccountData* _data_;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_ = _user_data_;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_source_object_ = source_object;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_res_ = _res_;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_task_complete_ = TRUE;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	online_accounts_account_delete_account_co (_data_);
#line 219 "Account.c"
}


static gboolean online_accounts_account_delete_account_co (OnlineAccountsAccountDeleteAccountData* _data_) {
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	switch (_data_->_state_) {
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		case 0:
#line 228 "Account.c"
		goto _state_0;
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		case 1:
#line 232 "Account.c"
		goto _state_1;
		default:
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		g_assert_not_reached ();
#line 237 "Account.c"
	}
	_state_0:
#line 38 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp0_ = _data_->self->account;
#line 38 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	ag_account_select_service (_data_->_tmp0_, NULL);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp1_ = _data_->self->account;
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp2_ = ag_account_get_variant (_data_->_tmp1_, ONLINE_ACCOUNTS_ACCOUNT_gsignon_id, NULL);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp3_ = _g_variant_ref0 (_data_->_tmp2_);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->v_id = _data_->_tmp3_;
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp4_ = g_variant_get_uint32 (_data_->v_id);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp5_ = signon_identity_new_from_db (_data_->_tmp4_);
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->identity = _data_->_tmp5_;
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	signon_identity_remove (_data_->identity, (SignonIdentityRemovedCb) NULL, NULL);
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_data_->_tmp6_ = _data_->self->account;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	ag_account_delete (_data_->_tmp6_);
#line 264 "Account.c"
	{
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->_tmp7_ = _data_->self->account;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->_state_ = 1;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		ag_account_store_async (_data_->_tmp7_, NULL, online_accounts_account_delete_account_ready, _data_);
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		return FALSE;
#line 274 "Account.c"
		_state_1:
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		ag_account_store_finish (_data_->_tmp7_, _data_->_res_, &_data_->_inner_error_);
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 280 "Account.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->e = _data_->_inner_error_;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->_inner_error_ = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->_tmp8_ = _data_->e;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_data_->_tmp9_ = _data_->_tmp8_->message;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		g_critical ("Account.vala:46: %s", _data_->_tmp9_);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_g_error_free0 (_data_->e);
#line 299 "Account.c"
	}
	__finally0:
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_g_object_unref0 (_data_->identity);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		_g_variant_unref0 (_data_->v_id);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		g_clear_error (&_data_->_inner_error_);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		g_object_unref (_data_->_async_result);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		return FALSE;
#line 316 "Account.c"
	}
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_object_unref0 (_data_->identity);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_variant_unref0 (_data_->v_id);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	if (_data_->_state_ != 0) {
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
		while (_data_->_task_complete_ != TRUE) {
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 330 "Account.c"
		}
	}
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	g_object_unref (_data_->_async_result);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	return FALSE;
#line 337 "Account.c"
}


static void online_accounts_account_real_setup_authentification (OnlineAccountsAccount* self) {
}


void online_accounts_account_setup_authentification (OnlineAccountsAccount* self) {
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	g_return_if_fail (self != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	ONLINE_ACCOUNTS_ACCOUNT_GET_CLASS (self)->setup_authentification (self);
#line 350 "Account.c"
}


OnlineAccountsAccount* online_accounts_account_construct (GType object_type) {
	OnlineAccountsAccount * self = NULL;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	self = (OnlineAccountsAccount*) g_object_new (object_type, NULL);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	return self;
#line 360 "Account.c"
}


OnlineAccountsAccount* online_accounts_account_new (void) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	return online_accounts_account_construct (ONLINE_ACCOUNTS_TYPE_ACCOUNT);
#line 367 "Account.c"
}


static void online_accounts_account_class_init (OnlineAccountsAccountClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	online_accounts_account_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	((OnlineAccountsAccountClass *) klass)->setup_authentification = (void (*) (OnlineAccountsAccount *)) online_accounts_account_real_setup_authentification;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_account_finalize;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	online_accounts_account_signals[ONLINE_ACCOUNTS_ACCOUNT_REMOVED_SIGNAL] = g_signal_new ("removed", ONLINE_ACCOUNTS_TYPE_ACCOUNT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	online_accounts_account_signals[ONLINE_ACCOUNTS_ACCOUNT_COMPLETE_SIGNAL] = g_signal_new ("complete", ONLINE_ACCOUNTS_TYPE_ACCOUNT, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 382 "Account.c"
}


static void online_accounts_account_instance_init (OnlineAccountsAccount * self) {
}


static void online_accounts_account_finalize (GObject * obj) {
	OnlineAccountsAccount * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_ACCOUNT, OnlineAccountsAccount);
#line 24 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_object_unref0 (self->account);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	__vala_AgProvider_free0 (self->provider);
#line 26 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_free0 (self->username);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_free0 (self->password);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_variant_unref0 (self->session_data);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	_g_variant_unref0 (self->session_result);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Account.vala"
	G_OBJECT_CLASS (online_accounts_account_parent_class)->finalize (obj);
#line 408 "Account.c"
}


GType online_accounts_account_get_type (void) {
	static volatile gsize online_accounts_account_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_account_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsAccountClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_account_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsAccount), 0, (GInstanceInitFunc) online_accounts_account_instance_init, NULL };
		GType online_accounts_account_type_id;
		online_accounts_account_type_id = g_type_register_static (G_TYPE_OBJECT, "OnlineAccountsAccount", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_account_type_id__volatile, online_accounts_account_type_id);
	}
	return online_accounts_account_type_id__volatile;
}



