/* PasswordDialog.c generated by valac 0.38.4, the Vala compiler
 * generated from PasswordDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2016 elementary LLC. (https://elementary.io)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gsignond/gsignond.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>


#define ONLINE_ACCOUNTS_TYPE_DIALOG (online_accounts_dialog_get_type ())
#define ONLINE_ACCOUNTS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog))
#define ONLINE_ACCOUNTS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))
#define ONLINE_ACCOUNTS_IS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_IS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))

typedef struct _OnlineAccountsDialog OnlineAccountsDialog;
typedef struct _OnlineAccountsDialogClass OnlineAccountsDialogClass;
typedef struct _OnlineAccountsDialogPrivate OnlineAccountsDialogPrivate;

#define ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG (online_accounts_password_dialog_get_type ())
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialog))
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialogClass))
#define ONLINE_ACCOUNTS_IS_PASSWORD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG))
#define ONLINE_ACCOUNTS_IS_PASSWORD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG))
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialogClass))

typedef struct _OnlineAccountsPasswordDialog OnlineAccountsPasswordDialog;
typedef struct _OnlineAccountsPasswordDialogClass OnlineAccountsPasswordDialogClass;
typedef struct _OnlineAccountsPasswordDialogPrivate OnlineAccountsPasswordDialogPrivate;
enum  {
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_0_PROPERTY,
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_PROPERTIES
};
static GParamSpec* online_accounts_password_dialog_properties[ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
enum  {
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_REFRESH_CAPTCHA_NEEDED_SIGNAL,
	ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_SIGNALS
};
static guint online_accounts_password_dialog_signals[ONLINE_ACCOUNTS_PASSWORD_DIALOG_NUM_SIGNALS] = {0};

struct _OnlineAccountsDialog {
	GtkGrid parent_instance;
	OnlineAccountsDialogPrivate * priv;
	GHashTable* parameters;
	gchar* request_id;
	GSignondSignonuiError error_code;
};

struct _OnlineAccountsDialogClass {
	GtkGridClass parent_class;
	GHashTable* (*get_reply) (OnlineAccountsDialog* self);
	gboolean (*set_parameters) (OnlineAccountsDialog* self, GHashTable* params);
	gboolean (*refresh_captcha) (OnlineAccountsDialog* self, const gchar* uri);
};

struct _OnlineAccountsPasswordDialog {
	OnlineAccountsDialog parent_instance;
	OnlineAccountsPasswordDialogPrivate * priv;
};

struct _OnlineAccountsPasswordDialogClass {
	OnlineAccountsDialogClass parent_class;
};

struct _OnlineAccountsPasswordDialogPrivate {
	GtkEntry* url_entry;
	GtkEntry* username_entry;
	GtkEntry* password_entry;
	GtkEntry* new_password_entry;
	GtkEntry* confirm_password_entry;
	GtkEntry* captcha_entry;
	GtkButton* cancel_button;
	GtkButton* save_button;
	GtkLinkButton* forgot_button;
	GtkLinkButton* signup_button;
	GtkImage* captcha_image;
	GtkLabel* message_label;
	GtkLabel* provider_label;
	gboolean query_url;
	gboolean query_username;
	gboolean query_password;
	gboolean query_confirm;
	gboolean query_captcha;
	gboolean is_username_valid;
	gboolean is_password_valid;
	gboolean is_new_password_valid;
	gboolean is_captcha_valid;
	gchar* display_name;
	gchar* old_password;
	gchar* forgot_password_url;
	gchar* signup_url;
};


static gpointer online_accounts_password_dialog_parent_class = NULL;

GType online_accounts_dialog_get_type (void) G_GNUC_CONST;
GType online_accounts_password_dialog_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_PASSWORD_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialogPrivate))
OnlineAccountsPasswordDialog* online_accounts_password_dialog_new (GHashTable* params);
OnlineAccountsPasswordDialog* online_accounts_password_dialog_construct (GType object_type, GHashTable* params);
OnlineAccountsDialog* online_accounts_dialog_construct (GType object_type, GHashTable* parameter);
gboolean online_accounts_dialog_set_parameters (OnlineAccountsDialog* self, GHashTable* params);
static void __lambda43_ (OnlineAccountsPasswordDialog* self);
static void ___lambda43__gtk_entry_activate (GtkEntry* _sender, gpointer self);
static void __lambda44_ (OnlineAccountsPasswordDialog* self);
static void ___lambda44__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda45_ (OnlineAccountsPasswordDialog* self);
static void ___lambda45__gtk_button_clicked (GtkButton* _sender, gpointer self);
static gboolean online_accounts_password_dialog_real_set_parameters (OnlineAccountsDialog* base, GHashTable* params);
static gboolean online_accounts_password_dialog_validate_params (OnlineAccountsPasswordDialog* self, GHashTable* params);
#define ONLINE_ACCOUNTS_KEY_USERNAME "UserName"
static gboolean ___lambda36_ (OnlineAccountsPasswordDialog* self);
static gboolean ____lambda36__gtk_link_button_activate_link (GtkLinkButton* _sender, gpointer self);
#define ONLINE_ACCOUNTS_KEY_MESSAGE "Message"
#define ONLINE_ACCOUNTS_KEY_CAPTCHA_URL "CaptchaUrl"
gboolean online_accounts_dialog_refresh_captcha (OnlineAccountsDialog* self, const gchar* uri);
static void ___lambda37_ (OnlineAccountsPasswordDialog* self);
static void online_accounts_password_dialog_reset_ok (OnlineAccountsPasswordDialog* self);
static void ____lambda37__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void ___lambda38_ (OnlineAccountsPasswordDialog* self);
static void ____lambda38__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void ___lambda39_ (OnlineAccountsPasswordDialog* self);
static void ____lambda39__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void ___lambda40_ (OnlineAccountsPasswordDialog* self);
static void ____lambda40__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void ___lambda41_ (OnlineAccountsPasswordDialog* self);
static void ____lambda41__gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void ___lambda42_ (OnlineAccountsPasswordDialog* self, GtkEntryIconPosition pos, GdkEvent* event);
static void ____lambda42__gtk_entry_icon_release (GtkEntry* _sender, GtkEntryIconPosition p0, GdkEvent* p1, gpointer self);
#define ONLINE_ACCOUNTS_KEY_QUERY_USERNAME "QueryUserName"
#define ONLINE_ACCOUNTS_KEY_QUERY_URL "QueryUrl"
#define ONLINE_ACCOUNTS_KEY_QUERY_PASSWORD "QueryPassword"
#define ONLINE_ACCOUNTS_KEY_CONFIRM "Confirm"
#define ONLINE_ACCOUNTS_KEY_PASSWORD "Secret"
#define ONLINE_ACCOUNTS_KEY_DISPLAY_NAME "DisplayName"
#define ONLINE_ACCOUNTS_KEY_FORGOT_PASSWORD_URL "ForgotPasswordUrl"
#define ONLINE_ACCOUNTS_KEY_SIGNUP_URL "SignUpURL"
static void __lambda35_ (OnlineAccountsPasswordDialog* self, const gchar* key);
static void ___lambda35__gfunc (gconstpointer data, gpointer self);
static gboolean online_accounts_password_dialog_real_refresh_captcha (OnlineAccountsDialog* base, const gchar* uri);
static GHashTable* online_accounts_password_dialog_real_get_reply (OnlineAccountsDialog* base);
GHashTable* online_accounts_dialog_get_reply (OnlineAccountsDialog* self);
static void online_accounts_password_dialog_finalize (GObject * obj);


static void __lambda43_ (OnlineAccountsPasswordDialog* self) {
	GtkButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->save_button;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_widget_get_sensitive ((GtkWidget*) _tmp0_);
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp2_) {
#line 192 "PasswordDialog.c"
		GtkButton* _tmp3_;
#line 163 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp3_ = self->priv->save_button;
#line 163 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_emit_by_name (_tmp3_, "activate");
#line 198 "PasswordDialog.c"
	}
}


static void ___lambda43__gtk_entry_activate (GtkEntry* _sender, gpointer self) {
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	__lambda43_ ((OnlineAccountsPasswordDialog*) self);
#line 206 "PasswordDialog.c"
}


static void __lambda44_ (OnlineAccountsPasswordDialog* self) {
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 213 "PasswordDialog.c"
}


static void ___lambda44__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	__lambda44_ ((OnlineAccountsPasswordDialog*) self);
#line 220 "PasswordDialog.c"
}


static void __lambda45_ (OnlineAccountsPasswordDialog* self) {
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_CANCELED;
#line 169 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 231 "PasswordDialog.c"
}


static void ___lambda45__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	__lambda45_ ((OnlineAccountsPasswordDialog*) self);
#line 238 "PasswordDialog.c"
}


OnlineAccountsPasswordDialog* online_accounts_password_dialog_construct (GType object_type, GHashTable* params) {
	OnlineAccountsPasswordDialog * self = NULL;
	GHashTable* _tmp0_;
	GtkStyleContext* _tmp1_;
	GtkLabel* _tmp2_;
	GtkLabel* _tmp3_;
	GtkStyleContext* _tmp4_;
	GtkLabel* _tmp5_;
	GtkEntry* _tmp6_;
	GtkEntry* _tmp7_;
	GtkEntry* _tmp8_;
	GtkEntry* _tmp9_;
	GtkEntry* _tmp10_;
	GtkEntry* _tmp11_;
	GtkEntry* _tmp12_;
	GtkEntry* _tmp13_;
	GtkEntry* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkEntry* _tmp17_;
	GtkEntry* _tmp18_;
	GtkEntry* _tmp19_;
	GtkEntry* _tmp20_;
	GtkEntry* _tmp21_;
	GtkEntry* _tmp22_;
	GtkEntry* _tmp23_;
	GtkGrid* entry_grid = NULL;
	GtkGrid* _tmp24_;
	GtkGrid* _tmp25_;
	GtkStyleContext* _tmp26_;
	GtkGrid* _tmp27_;
	GtkLinkButton* _tmp28_;
	GtkEntry* _tmp29_;
	GtkEntry* _tmp30_;
	GtkEntry* _tmp31_;
	GtkEntry* _tmp32_;
	GtkEntry* _tmp33_;
	GtkLabel* _tmp34_;
	GtkLabel* _tmp35_;
	GtkButton* _tmp36_;
	GtkButton* _tmp37_;
	GtkButton* _tmp38_;
	GtkButton* _tmp39_;
	GtkStyleContext* _tmp40_;
	GtkButton* _tmp41_;
	GtkLinkButton* _tmp42_;
	GHashTable* _tmp43_;
	GtkLabel* _tmp44_;
	gboolean _tmp45_;
	GtkGrid* _tmp47_;
	gboolean _tmp48_;
	gboolean _tmp51_;
	GtkGrid* save_box = NULL;
	GtkGrid* _tmp54_;
	GtkGrid* _tmp55_;
	GtkGrid* _tmp56_;
	GtkGrid* _tmp57_;
	GtkButton* _tmp58_;
	GtkGrid* _tmp59_;
	GtkButton* _tmp60_;
	GtkGrid* _tmp61_;
	const gchar* _tmp62_;
	const gchar* _tmp64_;
	gboolean _tmp66_;
	gboolean _tmp71_;
	GtkLabel* _tmp74_;
	GtkEntry* _tmp75_;
	GtkButton* _tmp76_;
	GtkButton* _tmp77_;
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (params != NULL, NULL);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = params;
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) online_accounts_dialog_construct (object_type, _tmp0_);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) self, GTK_ALIGN_CENTER);
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 61 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp1_, "login");
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new ("");
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->provider_label);
#line 65 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->provider_label = _tmp2_;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = self->priv->provider_label;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp4_ = gtk_widget_get_style_context ((GtkWidget*) _tmp3_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp4_, "h1");
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp5_ = self->priv->provider_label;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp5_, 24);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = (GtkEntry*) gtk_entry_new ();
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->url_entry);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->url_entry = _tmp6_;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp7_ = self->priv->url_entry;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp7_, _ ("URL"));
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp8_ = self->priv->url_entry;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp8_, GTK_INPUT_PURPOSE_URL);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp9_ = (GtkEntry*) gtk_entry_new ();
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->username_entry);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->username_entry = _tmp9_;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = self->priv->username_entry;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp10_, _ ("Email"));
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp11_ = self->priv->username_entry;
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_set ((GtkWidget*) _tmp11_, "width-request", 256, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp12_ = (GtkEntry*) gtk_entry_new ();
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->password_entry = _tmp12_;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp13_ = self->priv->password_entry;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp13_, _ ("Password"));
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp14_ = self->priv->password_entry;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_visibility (_tmp14_, FALSE);
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp15_ = self->priv->password_entry;
#line 80 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp15_, GTK_INPUT_PURPOSE_PASSWORD);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp16_ = (GtkEntry*) gtk_entry_new ();
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp16_);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->new_password_entry);
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->new_password_entry = _tmp16_;
#line 83 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp17_ = self->priv->new_password_entry;
#line 83 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp17_, _ ("New Password"));
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp18_ = self->priv->new_password_entry;
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_visibility (_tmp18_, FALSE);
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp19_ = self->priv->new_password_entry;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp19_, GTK_INPUT_PURPOSE_PASSWORD);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp20_ = (GtkEntry*) gtk_entry_new ();
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp20_);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->confirm_password_entry);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->confirm_password_entry = _tmp20_;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp21_ = self->priv->confirm_password_entry;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_placeholder_text (_tmp21_, _ ("Confirm Password"));
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp22_ = self->priv->confirm_password_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_visibility (_tmp22_, FALSE);
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp23_ = self->priv->confirm_password_entry;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_entry_set_input_purpose (_tmp23_, GTK_INPUT_PURPOSE_PASSWORD);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp24_ = (GtkGrid*) gtk_grid_new ();
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp24_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	entry_grid = _tmp24_;
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp25_ = entry_grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp26_ = gtk_widget_get_style_context ((GtkWidget*) _tmp25_);
#line 93 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp26_, GTK_STYLE_CLASS_LINKED);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp27_ = entry_grid;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp27_, GTK_ORIENTATION_VERTICAL);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp28_ = (GtkLinkButton*) gtk_link_button_new_with_label ("", _ ("Forgot password…"));
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp28_);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->forgot_button);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->forgot_button = _tmp28_;
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp29_ = (GtkEntry*) gtk_entry_new ();
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp29_);
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->captcha_entry);
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->captcha_entry = _tmp29_;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp30_ = self->priv->captcha_entry;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_set (_tmp30_, "secondary-icon-name", "view-refresh", NULL);
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp31_ = self->priv->captcha_entry;
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_set (_tmp31_, "secondary-icon-activatable", TRUE, NULL);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp32_ = self->priv->captcha_entry;
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_set (_tmp32_, "secondary-icon-tooltip-text", _ ("Refresh Captcha"), NULL);
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp33_ = self->priv->captcha_entry;
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp33_, _ ("Enter above text here"));
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp34_ = (GtkLabel*) gtk_label_new ("");
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp34_);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->message_label);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->message_label = _tmp34_;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp35_ = self->priv->message_label;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_no_show_all ((GtkWidget*) _tmp35_, TRUE);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp36_ = (GtkButton*) gtk_button_new_with_label (_ ("Cancel"));
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp36_);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->cancel_button = _tmp36_;
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp37_ = self->priv->cancel_button;
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp37_, TRUE);
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp38_ = (GtkButton*) gtk_button_new_with_label (_ ("Log In"));
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp38_);
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 109 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->save_button = _tmp38_;
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp39_ = self->priv->save_button;
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp40_ = gtk_widget_get_style_context ((GtkWidget*) _tmp39_);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_style_context_add_class (_tmp40_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp41_ = self->priv->save_button;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp41_, TRUE);
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp42_ = (GtkLinkButton*) gtk_link_button_new_with_label ("", _ ("Don't have an account? Sign Up"));
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp42_);
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->signup_button);
#line 113 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->signup_button = _tmp42_;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp43_ = params;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_dialog_set_parameters ((OnlineAccountsDialog*) self, _tmp43_);
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp44_ = self->priv->provider_label;
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp44_);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp45_ = self->priv->query_url;
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp45_) {
#line 551 "PasswordDialog.c"
		GtkEntry* _tmp46_;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp46_ = self->priv->url_entry;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp46_);
#line 557 "PasswordDialog.c"
	}
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp47_ = entry_grid;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp47_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp48_ = self->priv->query_username;
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp48_) {
#line 567 "PasswordDialog.c"
		GtkGrid* _tmp49_;
		GtkEntry* _tmp50_;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp49_ = entry_grid;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp50_ = self->priv->username_entry;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp49_, (GtkWidget*) _tmp50_);
#line 576 "PasswordDialog.c"
	}
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp51_ = self->priv->query_password;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp51_) {
#line 582 "PasswordDialog.c"
		GtkGrid* _tmp52_;
		GtkEntry* _tmp53_;
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp52_ = entry_grid;
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp53_ = self->priv->password_entry;
#line 130 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp52_, (GtkWidget*) _tmp53_);
#line 591 "PasswordDialog.c"
	}
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp54_ = (GtkGrid*) gtk_grid_new ();
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_ref_sink (_tmp54_);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	save_box = _tmp54_;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp55_ = save_box;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp55_, 12);
#line 135 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp56_ = save_box;
#line 135 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_grid_set_column_spacing (_tmp56_, 6);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp57_ = save_box;
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp58_ = self->priv->cancel_button;
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp57_, (GtkWidget*) _tmp58_);
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp59_ = save_box;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp60_ = self->priv->save_button;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp59_, (GtkWidget*) _tmp60_);
#line 139 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp61_ = save_box;
#line 139 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp61_);
#line 141 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp62_ = self->priv->forgot_password_url;
#line 141 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp62_ != NULL) {
#line 627 "PasswordDialog.c"
		GtkLinkButton* _tmp63_;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp63_ = self->priv->forgot_button;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp63_);
#line 633 "PasswordDialog.c"
	}
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp64_ = self->priv->signup_url;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp64_ != NULL) {
#line 639 "PasswordDialog.c"
		GtkLinkButton* _tmp65_;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp65_ = self->priv->signup_button;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp65_);
#line 645 "PasswordDialog.c"
	}
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp66_ = self->priv->query_confirm;
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp66_) {
#line 651 "PasswordDialog.c"
		GtkGrid* _tmp67_;
		GtkEntry* _tmp68_;
		GtkGrid* _tmp69_;
		GtkEntry* _tmp70_;
#line 150 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp67_ = entry_grid;
#line 150 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp68_ = self->priv->new_password_entry;
#line 150 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp67_, (GtkWidget*) _tmp68_);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp69_ = entry_grid;
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp70_ = self->priv->confirm_password_entry;
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp69_, (GtkWidget*) _tmp70_);
#line 668 "PasswordDialog.c"
	}
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp71_ = self->priv->query_captcha;
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp71_) {
#line 674 "PasswordDialog.c"
		GtkImage* _tmp72_;
		GtkEntry* _tmp73_;
#line 155 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp72_ = self->priv->captcha_image;
#line 155 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp72_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp73_ = self->priv->captcha_entry;
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp73_);
#line 685 "PasswordDialog.c"
	}
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp74_ = self->priv->message_label;
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp74_);
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp75_ = self->priv->password_entry;
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_signal_connect_object (_tmp75_, "activate", (GCallback) ___lambda43__gtk_entry_activate, self, 0);
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp76_ = self->priv->save_button;
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_signal_connect_object (_tmp76_, "clicked", (GCallback) ___lambda44__gtk_button_clicked, self, 0);
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp77_ = self->priv->cancel_button;
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_signal_connect_object (_tmp77_, "clicked", (GCallback) ___lambda45__gtk_button_clicked, self, 0);
#line 173 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (save_box);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (entry_grid);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return self;
#line 711 "PasswordDialog.c"
}


OnlineAccountsPasswordDialog* online_accounts_password_dialog_new (GHashTable* params) {
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return online_accounts_password_dialog_construct (ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, params);
#line 718 "PasswordDialog.c"
}


static gboolean ___lambda36_ (OnlineAccountsPasswordDialog* self) {
	gboolean result = FALSE;
#line 195 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_warning ("PasswordDialog.vala:195: forgot password");
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_FORGOT_PASSWORD;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	result = FALSE;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return result;
#line 734 "PasswordDialog.c"
}


static gboolean ____lambda36__gtk_link_button_activate_link (GtkLinkButton* _sender, gpointer self) {
	gboolean result;
	result = ___lambda36_ ((OnlineAccountsPasswordDialog*) self);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return result;
#line 743 "PasswordDialog.c"
}


static void ___lambda37_ (OnlineAccountsPasswordDialog* self) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->username_entry;
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_utf8_strlen (_tmp2_, (gssize) -1);
#line 221 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_username_valid = _tmp3_ > 0;
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 764 "PasswordDialog.c"
}


static void ____lambda37__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 220 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	___lambda37_ ((OnlineAccountsPasswordDialog*) self);
#line 771 "PasswordDialog.c"
}


static void ___lambda38_ (OnlineAccountsPasswordDialog* self) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_;
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->password_entry;
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_utf8_strlen (_tmp2_, (gssize) -1);
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_password_valid = _tmp3_ > 0;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = self->priv->query_confirm;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp6_) {
#line 797 "PasswordDialog.c"
		gboolean _tmp7_;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp7_ = self->priv->is_password_valid;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp5_ = _tmp7_;
#line 803 "PasswordDialog.c"
	} else {
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp5_ = FALSE;
#line 807 "PasswordDialog.c"
	}
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp5_) {
#line 811 "PasswordDialog.c"
		const gchar* _tmp8_;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp8_ = self->priv->old_password;
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp4_ = _tmp8_ != NULL;
#line 817 "PasswordDialog.c"
	} else {
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp4_ = FALSE;
#line 821 "PasswordDialog.c"
	}
#line 227 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp4_) {
#line 825 "PasswordDialog.c"
		GCompareFunc _tmp9_;
		const gchar* _tmp10_;
		GtkEntry* _tmp11_;
		const gchar* _tmp12_;
		const gchar* _tmp13_;
		gint _tmp14_;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp9_ = g_strcmp0;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp10_ = self->priv->old_password;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp11_ = self->priv->password_entry;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp12_ = gtk_entry_get_text (_tmp11_);
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp13_ = _tmp12_;
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp14_ = _tmp9_ (_tmp10_, _tmp13_);
#line 228 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->is_password_valid = _tmp14_ == 0;
#line 846 "PasswordDialog.c"
	}
#line 230 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 850 "PasswordDialog.c"
}


static void ____lambda38__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	___lambda38_ ((OnlineAccountsPasswordDialog*) self);
#line 857 "PasswordDialog.c"
}


static void ___lambda39_ (OnlineAccountsPasswordDialog* self) {
	gchar* new_password = NULL;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* confirm = NULL;
	GtkEntry* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	const gchar* _tmp10_;
	gint _tmp11_;
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->new_password_entry;
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 236 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	new_password = _tmp3_;
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->confirm_password_entry;
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = _tmp5_;
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	confirm = _tmp7_;
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = new_password;
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp11_ = g_utf8_strlen (_tmp10_, (gssize) -1);
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp11_ > 0) {
#line 902 "PasswordDialog.c"
		const gchar* _tmp12_;
		gint _tmp13_;
#line 239 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp12_ = confirm;
#line 239 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp13_ = g_utf8_strlen (_tmp12_, (gssize) -1);
#line 239 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp9_ = _tmp13_ > 0;
#line 911 "PasswordDialog.c"
	} else {
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp9_ = FALSE;
#line 915 "PasswordDialog.c"
	}
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp9_) {
#line 919 "PasswordDialog.c"
		GCompareFunc _tmp14_;
		const gchar* _tmp15_;
		const gchar* _tmp16_;
		gint _tmp17_;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp14_ = g_strcmp0;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp15_ = new_password;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp16_ = confirm;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp17_ = _tmp14_ (_tmp15_, _tmp16_);
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp8_ = _tmp17_ == 0;
#line 934 "PasswordDialog.c"
	} else {
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp8_ = FALSE;
#line 938 "PasswordDialog.c"
	}
#line 238 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_new_password_valid = _tmp8_;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (confirm);
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (new_password);
#line 948 "PasswordDialog.c"
}


static void ____lambda39__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	___lambda39_ ((OnlineAccountsPasswordDialog*) self);
#line 955 "PasswordDialog.c"
}


static void ___lambda40_ (OnlineAccountsPasswordDialog* self) {
	gchar* new_password = NULL;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* confirm = NULL;
	GtkEntry* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gboolean _tmp8_ = FALSE;
	gboolean _tmp9_ = FALSE;
	const gchar* _tmp10_;
	gint _tmp11_;
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->new_password_entry;
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	new_password = _tmp3_;
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->confirm_password_entry;
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = _tmp5_;
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 246 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	confirm = _tmp7_;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = new_password;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp11_ = g_utf8_strlen (_tmp10_, (gssize) -1);
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp11_ > 0) {
#line 1000 "PasswordDialog.c"
		const gchar* _tmp12_;
		gint _tmp13_;
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp12_ = confirm;
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp13_ = g_utf8_strlen (_tmp12_, (gssize) -1);
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp9_ = _tmp13_ > 0;
#line 1009 "PasswordDialog.c"
	} else {
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp9_ = FALSE;
#line 1013 "PasswordDialog.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp9_) {
#line 1017 "PasswordDialog.c"
		GCompareFunc _tmp14_;
		const gchar* _tmp15_;
		const gchar* _tmp16_;
		gint _tmp17_;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp14_ = g_strcmp0;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp15_ = new_password;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp16_ = confirm;
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp17_ = _tmp14_ (_tmp15_, _tmp16_);
#line 249 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp8_ = _tmp17_ == 0;
#line 1032 "PasswordDialog.c"
	} else {
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp8_ = FALSE;
#line 1036 "PasswordDialog.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_new_password_valid = _tmp8_;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (confirm);
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (new_password);
#line 1046 "PasswordDialog.c"
}


static void ____lambda40__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	___lambda40_ ((OnlineAccountsPasswordDialog*) self);
#line 1053 "PasswordDialog.c"
}


static void ___lambda41_ (OnlineAccountsPasswordDialog* self) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gint _tmp3_;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->captcha_entry;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = _tmp1_;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = g_utf8_strlen (_tmp2_, (gssize) -1);
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_captcha_valid = _tmp3_ > 0;
#line 257 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 1074 "PasswordDialog.c"
}


static void ____lambda41__gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 255 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	___lambda41_ ((OnlineAccountsPasswordDialog*) self);
#line 1081 "PasswordDialog.c"
}


static void ___lambda42_ (OnlineAccountsPasswordDialog* self, GtkEntryIconPosition pos, GdkEvent* event) {
	GtkEntryIconPosition _tmp0_;
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_if_fail (event != NULL);
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = pos;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp0_ == GTK_ENTRY_ICON_SECONDARY) {
#line 262 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_emit (self, online_accounts_password_dialog_signals[ONLINE_ACCOUNTS_PASSWORD_DIALOG_REFRESH_CAPTCHA_NEEDED_SIGNAL], 0);
#line 1095 "PasswordDialog.c"
	}
}


static void ____lambda42__gtk_entry_icon_release (GtkEntry* _sender, GtkEntryIconPosition p0, GdkEvent* p1, gpointer self) {
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	___lambda42_ ((OnlineAccountsPasswordDialog*) self, p0, p1);
#line 1103 "PasswordDialog.c"
}


static gboolean online_accounts_password_dialog_real_set_parameters (OnlineAccountsDialog* base, GHashTable* params) {
	OnlineAccountsPasswordDialog * self;
	gboolean result = FALSE;
	GHashTable* _tmp0_;
	gboolean _tmp1_;
	GHashTable* _tmp2_;
	gboolean _tmp3_;
	GtkLabel* _tmp4_;
	const gchar* _tmp5_;
	GVariant* temp_string = NULL;
	GHashTable* _tmp6_;
	gconstpointer _tmp7_;
	GtkEntry* _tmp8_;
	gboolean _tmp9_;
	GVariant* _tmp10_;
	const gchar* _tmp15_;
	const gchar* _tmp19_;
	GHashTable* _tmp22_;
	gconstpointer _tmp23_;
	GVariant* _tmp24_;
	GHashTable* _tmp30_;
	gconstpointer _tmp31_;
	GVariant* _tmp32_;
	gboolean _tmp36_;
	gboolean _tmp39_;
	gboolean _tmp42_;
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) base;
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = params;
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_password_dialog_parent_class)->set_parameters (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog), _tmp0_);
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp1_ == FALSE) {
#line 178 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 178 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1147 "PasswordDialog.c"
	}
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = params;
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = online_accounts_password_dialog_validate_params (self, _tmp2_);
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp3_ == FALSE) {
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1159 "PasswordDialog.c"
	}
#line 185 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp4_ = self->priv->provider_label;
#line 185 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp5_ = self->priv->display_name;
#line 185 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_label_set_label (_tmp4_, _tmp5_);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = params;
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp7_ = g_hash_table_lookup (_tmp6_, ONLINE_ACCOUNTS_KEY_USERNAME);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	temp_string = (GVariant*) _tmp7_;
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp8_ = self->priv->username_entry;
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp9_ = self->priv->query_username;
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, _tmp9_);
#line 189 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = temp_string;
#line 189 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp10_ != NULL) {
#line 1183 "PasswordDialog.c"
		const gchar* _tmp11_ = NULL;
		GVariant* _tmp12_;
		const gchar* _tmp13_;
		GtkEntry* _tmp14_;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp12_ = temp_string;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp13_ = g_variant_get_string (_tmp12_, NULL);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp11_ = _tmp13_;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		if (_tmp11_ == NULL) {
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp11_ = "";
#line 1198 "PasswordDialog.c"
		}
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp14_ = self->priv->username_entry;
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_entry_set_text (_tmp14_, _tmp11_);
#line 1204 "PasswordDialog.c"
	}
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp15_ = self->priv->forgot_password_url;
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp15_ != NULL) {
#line 1210 "PasswordDialog.c"
		GtkLinkButton* _tmp16_;
		const gchar* _tmp17_;
		GtkLinkButton* _tmp18_;
#line 193 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp16_ = self->priv->forgot_button;
#line 193 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp17_ = self->priv->forgot_password_url;
#line 193 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_link_button_set_uri (_tmp16_, _tmp17_);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp18_ = self->priv->forgot_button;
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object (_tmp18_, "activate-link", (GCallback) ____lambda36__gtk_link_button_activate_link, self, 0);
#line 1224 "PasswordDialog.c"
	}
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp19_ = self->priv->signup_url;
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp19_ != NULL) {
#line 1230 "PasswordDialog.c"
		GtkLinkButton* _tmp20_;
		const gchar* _tmp21_;
#line 203 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp20_ = self->priv->signup_button;
#line 203 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp21_ = self->priv->signup_url;
#line 203 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_link_button_set_uri (_tmp20_, _tmp21_);
#line 1239 "PasswordDialog.c"
	}
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp22_ = params;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp23_ = g_hash_table_lookup (_tmp22_, ONLINE_ACCOUNTS_KEY_MESSAGE);
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	temp_string = (GVariant*) _tmp23_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp24_ = temp_string;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp24_ != NULL) {
#line 1251 "PasswordDialog.c"
		GtkLabel* _tmp25_;
		GVariant* _tmp26_;
		const gchar* _tmp27_;
		GtkLabel* _tmp28_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp25_ = self->priv->message_label;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp26_ = temp_string;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp27_ = g_variant_get_string (_tmp26_, NULL);
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_label_set_label (_tmp25_, _tmp27_);
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp28_ = self->priv->message_label;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_widget_show ((GtkWidget*) _tmp28_);
#line 1268 "PasswordDialog.c"
	} else {
		GtkLabel* _tmp29_;
#line 211 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp29_ = self->priv->message_label;
#line 211 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_widget_hide ((GtkWidget*) _tmp29_);
#line 1275 "PasswordDialog.c"
	}
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp30_ = params;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp31_ = g_hash_table_lookup (_tmp30_, ONLINE_ACCOUNTS_KEY_CAPTCHA_URL);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	temp_string = (GVariant*) _tmp31_;
#line 215 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp32_ = temp_string;
#line 215 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp32_ != NULL) {
#line 1287 "PasswordDialog.c"
		GVariant* _tmp33_;
		const gchar* _tmp34_;
		gboolean _tmp35_;
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp33_ = temp_string;
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp34_ = g_variant_get_string (_tmp33_, NULL);
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp35_ = online_accounts_dialog_refresh_captcha ((OnlineAccountsDialog*) self, _tmp34_);
#line 216 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->query_captcha = _tmp35_;
#line 1299 "PasswordDialog.c"
	}
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp36_ = self->priv->query_username;
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp36_) {
#line 1305 "PasswordDialog.c"
		GtkEntry* _tmp37_;
		GtkEntry* _tmp38_;
#line 220 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp37_ = self->priv->username_entry;
#line 220 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp37_, "changed", (GCallback) ____lambda37__gtk_editable_changed, self, 0);
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp38_ = self->priv->password_entry;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp38_, "changed", (GCallback) ____lambda38__gtk_editable_changed, self, 0);
#line 1316 "PasswordDialog.c"
	}
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp39_ = self->priv->query_confirm;
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp39_) {
#line 1322 "PasswordDialog.c"
		GtkEntry* _tmp40_;
		GtkEntry* _tmp41_;
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp40_ = self->priv->new_password_entry;
#line 235 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp40_, "changed", (GCallback) ____lambda39__gtk_editable_changed, self, 0);
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp41_ = self->priv->confirm_password_entry;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp41_, "changed", (GCallback) ____lambda40__gtk_editable_changed, self, 0);
#line 1333 "PasswordDialog.c"
	}
#line 254 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp42_ = self->priv->query_captcha;
#line 254 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp42_) {
#line 1339 "PasswordDialog.c"
		GtkEntry* _tmp43_;
		GtkEntry* _tmp44_;
#line 255 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp43_ = self->priv->captcha_entry;
#line 255 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object ((GtkEditable*) _tmp43_, "changed", (GCallback) ____lambda41__gtk_editable_changed, self, 0);
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp44_ = self->priv->captcha_entry;
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_signal_connect_object (_tmp44_, "icon-release", (GCallback) ____lambda42__gtk_entry_icon_release, self, 0);
#line 1350 "PasswordDialog.c"
	}
#line 266 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_reset_ok (self);
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	result = TRUE;
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return result;
#line 1358 "PasswordDialog.c"
}


static void __lambda35_ (OnlineAccountsPasswordDialog* self, const gchar* key) {
	const gchar* _tmp0_;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_if_fail (key != NULL);
#line 318 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = key;
#line 318 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_warning ("PasswordDialog.vala:318: %s", _tmp0_);
#line 1370 "PasswordDialog.c"
}


static void ___lambda35__gfunc (gconstpointer data, gpointer self) {
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	__lambda35_ ((OnlineAccountsPasswordDialog*) self, (const gchar*) data);
#line 1377 "PasswordDialog.c"
}


static gboolean online_accounts_password_dialog_validate_params (OnlineAccountsPasswordDialog* self, GHashTable* params) {
	gboolean result = FALSE;
	GHashTable* _tmp0_;
	gboolean _tmp1_;
	GHashTable* _tmp5_;
	gboolean _tmp6_;
	GHashTable* _tmp10_;
	gboolean _tmp11_;
	GHashTable* _tmp15_;
	gboolean _tmp16_;
	gboolean _tmp20_ = FALSE;
	gboolean _tmp21_ = FALSE;
	gboolean _tmp22_;
	GHashTable* _tmp25_;
	gboolean _tmp26_;
	gboolean _tmp31_ = FALSE;
	gboolean _tmp32_;
	GHashTable* _tmp34_;
	gboolean _tmp35_;
	GHashTable* _tmp41_;
	gboolean _tmp42_;
	GHashTable* _tmp47_;
	gboolean _tmp48_;
	GHashTable* _tmp53_;
	GList* _tmp54_;
	GList* _tmp55_;
#line 271 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 271 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = params;
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = g_hash_table_contains (_tmp0_, ONLINE_ACCOUNTS_KEY_QUERY_USERNAME);
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp1_) {
#line 1417 "PasswordDialog.c"
		GHashTable* _tmp2_;
		gconstpointer _tmp3_;
		gboolean _tmp4_;
#line 274 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp2_ = params;
#line 274 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp3_ = g_hash_table_lookup (_tmp2_, ONLINE_ACCOUNTS_KEY_QUERY_USERNAME);
#line 274 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp4_ = g_variant_get_boolean ((GVariant*) _tmp3_);
#line 274 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->query_username = _tmp4_;
#line 1429 "PasswordDialog.c"
	}
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp5_ = params;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = g_hash_table_contains (_tmp5_, ONLINE_ACCOUNTS_KEY_QUERY_URL);
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp6_) {
#line 1437 "PasswordDialog.c"
		GHashTable* _tmp7_;
		gconstpointer _tmp8_;
		gboolean _tmp9_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp7_ = params;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp8_ = g_hash_table_lookup (_tmp7_, ONLINE_ACCOUNTS_KEY_QUERY_URL);
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp9_ = g_variant_get_boolean ((GVariant*) _tmp8_);
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->query_url = _tmp9_;
#line 1449 "PasswordDialog.c"
	}
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = params;
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp11_ = g_hash_table_contains (_tmp10_, ONLINE_ACCOUNTS_KEY_QUERY_PASSWORD);
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp11_) {
#line 1457 "PasswordDialog.c"
		GHashTable* _tmp12_;
		gconstpointer _tmp13_;
		gboolean _tmp14_;
#line 282 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp12_ = params;
#line 282 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp13_ = g_hash_table_lookup (_tmp12_, ONLINE_ACCOUNTS_KEY_QUERY_PASSWORD);
#line 282 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp14_ = g_variant_get_boolean ((GVariant*) _tmp13_);
#line 282 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->query_password = _tmp14_;
#line 1469 "PasswordDialog.c"
	}
#line 285 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp15_ = params;
#line 285 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp16_ = g_hash_table_contains (_tmp15_, ONLINE_ACCOUNTS_KEY_CONFIRM);
#line 285 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp16_) {
#line 1477 "PasswordDialog.c"
		GHashTable* _tmp17_;
		gconstpointer _tmp18_;
		gboolean _tmp19_;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp17_ = params;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp18_ = g_hash_table_lookup (_tmp17_, ONLINE_ACCOUNTS_KEY_CONFIRM);
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp19_ = g_variant_get_boolean ((GVariant*) _tmp18_);
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->query_confirm = _tmp19_;
#line 1489 "PasswordDialog.c"
	}
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp22_ = self->priv->query_username;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp22_ == FALSE) {
#line 1495 "PasswordDialog.c"
		gboolean _tmp23_;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp23_ = self->priv->query_password;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp21_ = _tmp23_ == FALSE;
#line 1501 "PasswordDialog.c"
	} else {
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp21_ = FALSE;
#line 1505 "PasswordDialog.c"
	}
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp21_) {
#line 1509 "PasswordDialog.c"
		gboolean _tmp24_;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp24_ = self->priv->query_confirm;
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp20_ = _tmp24_ == FALSE;
#line 1515 "PasswordDialog.c"
	} else {
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp20_ = FALSE;
#line 1519 "PasswordDialog.c"
	}
#line 289 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp20_) {
#line 290 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:290: No Valid Query found");
#line 291 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 291 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1529 "PasswordDialog.c"
	}
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp25_ = params;
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp26_ = g_hash_table_contains (_tmp25_, ONLINE_ACCOUNTS_KEY_PASSWORD);
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp26_) {
#line 1537 "PasswordDialog.c"
		GHashTable* _tmp27_;
		gconstpointer _tmp28_;
		const gchar* _tmp29_;
		gchar* _tmp30_;
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp27_ = params;
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp28_ = g_hash_table_lookup (_tmp27_, ONLINE_ACCOUNTS_KEY_PASSWORD);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp29_ = g_variant_get_string ((GVariant*) _tmp28_, NULL);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp30_ = g_strdup (_tmp29_);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->old_password);
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->old_password = _tmp30_;
#line 1554 "PasswordDialog.c"
	}
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp32_ = self->priv->query_confirm;
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp32_) {
#line 1560 "PasswordDialog.c"
		const gchar* _tmp33_;
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp33_ = self->priv->old_password;
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp31_ = _tmp33_ == NULL;
#line 1566 "PasswordDialog.c"
	} else {
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp31_ = FALSE;
#line 1570 "PasswordDialog.c"
	}
#line 298 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp31_) {
#line 299 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:299: Wrong params for confirm query");
#line 300 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 300 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1580 "PasswordDialog.c"
	}
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp34_ = params;
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp35_ = g_hash_table_contains (_tmp34_, ONLINE_ACCOUNTS_KEY_DISPLAY_NAME);
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp35_) {
#line 1588 "PasswordDialog.c"
		GHashTable* _tmp36_;
		gconstpointer _tmp37_;
		const gchar* _tmp38_;
		gchar* _tmp39_;
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp36_ = params;
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp37_ = g_hash_table_lookup (_tmp36_, ONLINE_ACCOUNTS_KEY_DISPLAY_NAME);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp38_ = g_variant_get_string ((GVariant*) _tmp37_, NULL);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp39_ = g_strdup (_tmp38_);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->display_name);
#line 304 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->display_name = _tmp39_;
#line 1605 "PasswordDialog.c"
	} else {
		gchar* _tmp40_;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp40_ = g_strdup (_ ("Other Account"));
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->display_name);
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->display_name = _tmp40_;
#line 1614 "PasswordDialog.c"
	}
#line 309 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp41_ = params;
#line 309 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp42_ = g_hash_table_contains (_tmp41_, ONLINE_ACCOUNTS_KEY_FORGOT_PASSWORD_URL);
#line 309 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp42_) {
#line 1622 "PasswordDialog.c"
		GHashTable* _tmp43_;
		gconstpointer _tmp44_;
		const gchar* _tmp45_;
		gchar* _tmp46_;
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp43_ = params;
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp44_ = g_hash_table_lookup (_tmp43_, ONLINE_ACCOUNTS_KEY_FORGOT_PASSWORD_URL);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp45_ = g_variant_get_string ((GVariant*) _tmp44_, NULL);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp46_ = g_strdup (_tmp45_);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->forgot_password_url);
#line 310 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->forgot_password_url = _tmp46_;
#line 1639 "PasswordDialog.c"
	}
#line 313 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp47_ = params;
#line 313 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp48_ = g_hash_table_contains (_tmp47_, ONLINE_ACCOUNTS_KEY_SIGNUP_URL);
#line 313 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp48_) {
#line 1647 "PasswordDialog.c"
		GHashTable* _tmp49_;
		gconstpointer _tmp50_;
		const gchar* _tmp51_;
		gchar* _tmp52_;
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp49_ = params;
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp50_ = g_hash_table_lookup (_tmp49_, ONLINE_ACCOUNTS_KEY_SIGNUP_URL);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp51_ = g_variant_get_string ((GVariant*) _tmp50_, NULL);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp52_ = g_strdup (_tmp51_);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (self->priv->signup_url);
#line 314 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		self->priv->signup_url = _tmp52_;
#line 1664 "PasswordDialog.c"
	}
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp53_ = params;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp54_ = g_hash_table_get_keys (_tmp53_);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp55_ = _tmp54_;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_list_foreach (_tmp55_, ___lambda35__gfunc, self);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_list_free0 (_tmp55_);
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	result = TRUE;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return result;
#line 1680 "PasswordDialog.c"
}


static gboolean online_accounts_password_dialog_real_refresh_captcha (OnlineAccountsDialog* base, const gchar* uri) {
	OnlineAccountsPasswordDialog * self;
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* filename = NULL;
	const gchar* _tmp9_;
	const gchar* _tmp11_;
	GtkImage* _tmp12_;
	const gchar* _tmp13_;
	gchar* used_filename = NULL;
	GtkImage* _tmp14_;
	gchar* _tmp15_;
	gchar* _tmp16_;
	const gchar* _tmp17_;
	gboolean is_valid = FALSE;
	GCompareFunc _tmp18_;
	const gchar* _tmp19_;
	const gchar* _tmp20_;
	gint _tmp21_;
	gboolean _tmp22_;
	GError * _inner_error_ = NULL;
#line 324 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) base;
#line 324 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = uri;
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp0_ == NULL) {
#line 1713 "PasswordDialog.c"
		const gchar* _tmp1_;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp1_ = uri;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:326: invalid captcha value : %s", _tmp1_);
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_BAD_CAPTCHA_URL;
#line 328 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 328 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1725 "PasswordDialog.c"
	}
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	filename = NULL;
#line 1729 "PasswordDialog.c"
	{
		gchar* _tmp2_ = NULL;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp3_ = uri;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp4_ = g_filename_from_uri (_tmp3_, NULL, &_inner_error_);
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp2_ = _tmp4_;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1743 "PasswordDialog.c"
			goto __catch3_g_error;
		}
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp5_ = _tmp2_;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp2_ = NULL;
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 333 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		filename = _tmp5_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (_tmp2_);
#line 1756 "PasswordDialog.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		e = _inner_error_;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_inner_error_ = NULL;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp6_ = e;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp7_ = _tmp6_->message;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_critical ("PasswordDialog.vala:335: %s", _tmp7_);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_error_free0 (e);
#line 1776 "PasswordDialog.c"
	}
	__finally3:
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1781 "PasswordDialog.c"
		gboolean _tmp8_ = FALSE;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_clear_error (&_inner_error_);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return _tmp8_;
#line 1791 "PasswordDialog.c"
	}
#line 338 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp9_ = filename;
#line 338 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp9_ == NULL) {
#line 1797 "PasswordDialog.c"
		const gchar* _tmp10_;
#line 339 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp10_ = uri;
#line 339 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		g_warning ("PasswordDialog.vala:339: invalid captcha value : %s", _tmp10_);
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_BAD_CAPTCHA_URL;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1811 "PasswordDialog.c"
	}
#line 344 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp11_ = filename;
#line 344 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_debug ("PasswordDialog.vala:344: setting captcha : %s", _tmp11_);
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp12_ = self->priv->captcha_image;
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp13_ = filename;
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	gtk_image_set_from_file (_tmp12_, _tmp13_);
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp14_ = self->priv->captcha_image;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_object_get (_tmp14_, "file", &_tmp15_, NULL);
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp16_ = _tmp15_;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	used_filename = _tmp16_;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp17_ = used_filename;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_debug ("PasswordDialog.vala:347: Used file : %s", _tmp17_);
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp18_ = g_strcmp0;
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp19_ = filename;
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp20_ = used_filename;
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp21_ = _tmp18_ (_tmp19_, _tmp20_);
#line 348 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	is_valid = _tmp21_ == 0;
#line 349 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp22_ = is_valid;
#line 349 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp22_ == FALSE) {
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_BAD_CAPTCHA;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		result = FALSE;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (used_filename);
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_g_free0 (filename);
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		return result;
#line 1859 "PasswordDialog.c"
	}
#line 354 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->query_captcha = TRUE;
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	result = TRUE;
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (used_filename);
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (filename);
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return result;
#line 1871 "PasswordDialog.c"
}


static GHashTable* online_accounts_password_dialog_real_get_reply (OnlineAccountsDialog* base) {
	OnlineAccountsPasswordDialog * self;
	GHashTable* result = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp0_;
	gchar* _tmp1_;
	GtkEntry* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	GVariant* _tmp5_;
	gchar* _tmp6_;
	GtkEntry* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
	GVariant* _tmp10_;
#line 358 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self = (OnlineAccountsPasswordDialog*) base;
#line 359 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_password_dialog_parent_class)->get_reply (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog));
#line 359 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	table = _tmp0_;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp1_ = g_strdup (ONLINE_ACCOUNTS_KEY_USERNAME);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp2_ = self->priv->username_entry;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp4_ = _tmp3_;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp5_ = g_variant_new_string (_tmp4_);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_variant_ref_sink (_tmp5_);
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_hash_table_insert (table, _tmp1_, _tmp5_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp6_ = g_strdup (ONLINE_ACCOUNTS_KEY_PASSWORD);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp7_ = self->priv->password_entry;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp8_ = gtk_entry_get_text (_tmp7_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp9_ = _tmp8_;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = g_variant_new_string (_tmp9_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_variant_ref_sink (_tmp10_);
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_hash_table_insert (table, _tmp6_, _tmp10_);
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	result = table;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	return result;
#line 1928 "PasswordDialog.c"
}


static void online_accounts_password_dialog_reset_ok (OnlineAccountsPasswordDialog* self) {
	gboolean state = FALSE;
	gboolean _tmp0_;
	gboolean _tmp10_;
	GtkButton* _tmp14_;
	gboolean _tmp15_;
	gboolean _tmp16_;
	gboolean _tmp17_;
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_return_if_fail (self != NULL);
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	state = FALSE;
#line 368 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp0_ = self->priv->query_username;
#line 368 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp0_) {
#line 1948 "PasswordDialog.c"
		gboolean _tmp1_ = FALSE;
		gboolean _tmp2_;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp2_ = self->priv->is_username_valid;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		if (_tmp2_) {
#line 1955 "PasswordDialog.c"
			gboolean _tmp3_;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp3_ = self->priv->is_password_valid;
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp1_ = _tmp3_;
#line 1961 "PasswordDialog.c"
		} else {
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp1_ = FALSE;
#line 1965 "PasswordDialog.c"
		}
#line 369 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		state = _tmp1_;
#line 1969 "PasswordDialog.c"
	} else {
		gboolean _tmp4_;
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp4_ = self->priv->query_password;
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		if (_tmp4_) {
#line 1976 "PasswordDialog.c"
			gboolean _tmp5_;
#line 371 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp5_ = self->priv->is_password_valid;
#line 371 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			state = _tmp5_;
#line 1982 "PasswordDialog.c"
		} else {
			gboolean _tmp6_;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp6_ = self->priv->query_confirm;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			if (_tmp6_) {
#line 1989 "PasswordDialog.c"
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
				_tmp8_ = self->priv->is_password_valid;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
				if (_tmp8_) {
#line 1996 "PasswordDialog.c"
					gboolean _tmp9_;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
					_tmp9_ = self->priv->is_new_password_valid;
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
					_tmp7_ = _tmp9_;
#line 2002 "PasswordDialog.c"
				} else {
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
					_tmp7_ = FALSE;
#line 2006 "PasswordDialog.c"
				}
#line 373 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
				state = _tmp7_;
#line 2010 "PasswordDialog.c"
			}
		}
	}
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp10_ = self->priv->query_captcha;
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp10_) {
#line 2018 "PasswordDialog.c"
		gboolean _tmp11_ = FALSE;
		gboolean _tmp12_;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp12_ = state;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		if (_tmp12_) {
#line 2025 "PasswordDialog.c"
			gboolean _tmp13_;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp13_ = self->priv->is_captcha_valid;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp11_ = _tmp13_;
#line 2031 "PasswordDialog.c"
		} else {
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
			_tmp11_ = FALSE;
#line 2035 "PasswordDialog.c"
		}
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		state = _tmp11_;
#line 2039 "PasswordDialog.c"
	}
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp14_ = self->priv->save_button;
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp15_ = gtk_widget_get_sensitive ((GtkWidget*) _tmp14_);
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp16_ = _tmp15_;
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_tmp17_ = state;
#line 378 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	if (_tmp16_ != _tmp17_) {
#line 2051 "PasswordDialog.c"
		GtkButton* _tmp18_;
		gboolean _tmp19_;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp18_ = self->priv->save_button;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		_tmp19_ = state;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp18_, _tmp19_);
#line 2060 "PasswordDialog.c"
	}
}


static void online_accounts_password_dialog_class_init (OnlineAccountsPasswordDialogClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsPasswordDialogPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialogClass *) klass)->set_parameters = (gboolean (*) (OnlineAccountsDialog *, GHashTable*)) online_accounts_password_dialog_real_set_parameters;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialogClass *) klass)->refresh_captcha = (gboolean (*) (OnlineAccountsDialog *, const gchar*)) online_accounts_password_dialog_real_refresh_captcha;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	((OnlineAccountsDialogClass *) klass)->get_reply = (GHashTable* (*) (OnlineAccountsDialog *)) online_accounts_password_dialog_real_get_reply;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_password_dialog_finalize;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	online_accounts_password_dialog_signals[ONLINE_ACCOUNTS_PASSWORD_DIALOG_REFRESH_CAPTCHA_NEEDED_SIGNAL] = g_signal_new ("refresh-captcha-needed", ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 2080 "PasswordDialog.c"
}


static void online_accounts_password_dialog_instance_init (OnlineAccountsPasswordDialog * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv = ONLINE_ACCOUNTS_PASSWORD_DIALOG_GET_PRIVATE (self);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->query_url = FALSE;
#line 40 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->query_username = FALSE;
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->query_password = FALSE;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->query_confirm = FALSE;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->query_captcha = FALSE;
#line 45 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_username_valid = FALSE;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_password_valid = FALSE;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_new_password_valid = FALSE;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self->priv->is_captcha_valid = FALSE;
#line 2105 "PasswordDialog.c"
}


static void online_accounts_password_dialog_finalize (GObject * obj) {
	OnlineAccountsPasswordDialog * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_PASSWORD_DIALOG, OnlineAccountsPasswordDialog);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->url_entry);
#line 26 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->username_entry);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->new_password_entry);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->confirm_password_entry);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->captcha_entry);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 32 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->forgot_button);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->signup_button);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->captcha_image);
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->message_label);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_object_unref0 (self->priv->provider_label);
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->display_name);
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->old_password);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->forgot_password_url);
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	_g_free0 (self->priv->signup_url);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/PasswordDialog.vala"
	G_OBJECT_CLASS (online_accounts_password_dialog_parent_class)->finalize (obj);
#line 2149 "PasswordDialog.c"
}


GType online_accounts_password_dialog_get_type (void) {
	static volatile gsize online_accounts_password_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_password_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsPasswordDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_password_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsPasswordDialog), 0, (GInstanceInitFunc) online_accounts_password_dialog_instance_init, NULL };
		GType online_accounts_password_dialog_type_id;
		online_accounts_password_dialog_type_id = g_type_register_static (ONLINE_ACCOUNTS_TYPE_DIALOG, "OnlineAccountsPasswordDialog", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_password_dialog_type_id__volatile, online_accounts_password_dialog_type_id);
	}
	return online_accounts_password_dialog_type_id__volatile;
}



